petsc-3.4.2 2013-07-02

# PCFieldSplitGetSubKSP

Gets the KSP contexts for all splits

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCFieldSplitGetSubKSP(PC pc,PetscInt *n,KSP *subksp[])

Collective on KSP

### Input Parameter

pc -the preconditioner context

### Output Parameters

| n | - the number of splits
| pc | - the array of KSP contexts

### Note

After PCFieldSplitGetSubKSP() the array of KSPs IS to be freed by the user (not the KSP just the array that contains them).

You must call KSPSetUp() before calling PCFieldSplitGetSubKSP().

Fortran Usage: You must pass in a KSP array that is large enough to contain all the local KSPs. You can call PCFieldSplitGetSubKSP(pc,n,NULL_OBJECT,ierr) to determine how large the KSP array must be.

### See Also

PCFIELDSPLIT

Level:advanced
Location:src/ksp/pc/impls/fieldsplit/fieldsplit.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex70.c.html